form(nz-form, [formGroup]="form", nzLayout="vertical", (ngSubmit)="onSubmit()")
  ng-container(*ngIf="isInfosPartDisplayed")
    nz-form-item
      nz-form-label(nzFor="username", [nzRequired]="true")
        span
          | Username
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="nameHelpTemplate", nzType="question-circle", theme="outline")
      nz-form-control(nzHasFeedback, [nzErrorTip]="nameErrorTemplate")
        input(nz-input, id="username", formControlName="username", placeholder="Enter username")

    nz-form-item
      nz-form-label(nzFor="email", [nzRequired]="true")
        span
          | Email
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="emailHelpTemplate", nzType="question-circle", theme="outline")
      nz-form-control(nzHasFeedback, [nzErrorTip]="emailErrorTemplate")
        input(nz-input, id="email", formControlName="email", placeholder="Enter email")

    ng-container
      nz-form-item
        nz-form-label(nzFor="role", [nzRequired]="true")
          span
            | Role
            i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="roleHelpTemplate", nzType="question-circle", theme="outline")
        nz-form-control(nzHasFeedback, [nzErrorTip]="roleErrorTemplate")
          nz-select(formControlName="role", nzPlaceHolder="Select role")
            nz-option(*ngFor="let role of roles", [nzValue]="role", [nzLabel]="role")

    nz-form-item
      nz-form-label(nzFor="description")
        span
          | Description
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="descriptionHelpTemplate", nzType="question-circle", theme="outline")
      nz-form-control
        textarea(nz-input, [nzAutosize]="{ minRows: 2, maxRows: 8 }", id="description", formControlName="description", placeholder="Enter description")

  ng-container(*ngIf="isPasswordPartDisplayed")
    nz-form-item
      nz-form-label(nzFor="password", [nzRequired]="true")
        span
          | Password
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="passwordHelpTemplate", nzType="question-circle", theme="outline")
      nz-form-control(nzHasFeedback, [nzErrorTip]="passwordErrorTemplate")
        input(nz-input, type="password", id="password", formControlName="password", placeholder="Enter password")

    nz-form-item
      nz-form-label(nzFor="passwordConfirm", [nzRequired]="true")
        span
          | Confirm password
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="confirmPasswordHelpTemplate", nzType="question-circle", theme="outline")
      nz-form-control(nzHasFeedback, [nzErrorTip]="passwordConfirmErrorTemplate")
        input(nz-input, type="password", id="passwordConfirm", formControlName="passwordConfirm", placeholder="Confirm password")

  nz-form-item.right
    nz-form-control
      button(nz-button, nzType="primary", type="submit", [disabled]="form.invalid") Save

ng-template(#nameHelpTemplate)
  ng-container Specify the user name

ng-template(#emailHelpTemplate)
  ng-container Specify the user email

ng-template(#roleHelpTemplate)
  ng-container Specify the user role

ng-template(#descriptionHelpTemplate)
  ng-container Specify the user description

ng-template(#passwordHelpTemplate)
  ng-container Specify the user password

ng-template(#confirmPasswordHelpTemplate)
  ng-container Specify the user password

ng-template(#nameErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Username is required

ng-template(#emailErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Email is required

ng-template(#roleErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Role is required

ng-template(#passwordErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Password is required

ng-template(#passwordConfirmErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Password is required
  ng-container(*ngIf="control.hasError('mismatch')") Passwords mismatch
